## debomatic 0.5

=== Makefile ===
#!/usr/bin/make

# Deb-o-Matic
#
# Copyright (C) 2007-2008 Luca Falavigna
#
# Author: Luca Falavigna <dktrkranz@ubuntu.com>
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; version 3 of the License.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301, USA.

BUILD_BASE=${PWD}

all: doc
	python setup.py build --build-base=${BUILD_BASE}

doc:
	docbook2x-man docs/debomatic.1.docbook
	docbook2x-man docs/debomatic.conf.5.docbook

install:
	python setup.py install
	install -m 644 debomatic.1 /usr/share/man/man1/debomatic.1
	install -m 644 debomatic.conf.5 /usr/share/man/man5/debomatic.conf.5

uninstall:
	rm /usr/bin/debomatic
	rm /usr/lib/python*/site-packages/debomatic*
	rm -fr /usr/lib/python*/site-packages/Debomatic
	rm /usr/share/man/man1/debomatic.1
	rm /usr/share/man/man5/debomatic.conf.5

clean:
	python setup.py clean --build-base=${BUILD_BASE}
	rm -fr build
	rm -f *.1 *.5

## debomatic 0.6

=== Makefile ===
--- 
+++ 
@@ -2,7 +2,7 @@
 
 # Deb-o-Matic
 #
-# Copyright (C) 2007-2008 Luca Falavigna
+# Copyright (C) 2007-2009 Luca Falavigna
 #
 # Author: Luca Falavigna <dktrkranz@ubuntu.com>
 #

## debomatic 0.9

=== debian/changelog ===
debomatic (0.9-1) unstable; urgency=low

  * New upstream release.
    - Package rebuild support (Closes: #591937).
    - Pass --configfile as last parameter, so some default options can
      be overwritten by configuration file (Closes: #531175).
  * Switch to format 3.0 (quilt).
  * Switch to dh_python2.
  * debian/control:
    - Recommend debian-archive-keyring and ubuntu-keyring due to recent
      debootstrap changes which require archive keys to generate chroots.
    - Bump Standards-Version to 3.9.1, no changes needed.
  * debian/copyright:
    - Adjust copyright information.
  * debian/rules:
    - Delete unused .egg-info file.

 -- Luca Falavigna <dktrkranz@debian.org>  Sun, 06 Feb 2011 10:51:18 +0100

debomatic (0.8-1) unstable; urgency=low

  * New upstream release.
    - cowbuilder support (Closes: #531173).
  * debian/control:
    - Add python-docutils to Build-Depends-Indep.
    - Add cowbuilder as alternate dependency for pbuilder.
    - Bump Standards-Version to 3.8.4, no changes needed.
  * debian/copyright:
    - Adjust copyright years.

 -- Luca Falavigna <dktrkranz@debian.org>  Thu, 04 Feb 2010 22:36:28 +0100

debomatic (0.7-1) unstable; urgency=low

  * New upstream version.
    - Provide init script and default file (Closes: #530029).
  * debian/control:
    - Update my e-mail address.
    - Remove DM-Upload-Allowed field.
    - Refresh build-dependencies.
    - Do not build-depend on docbook2x and docbook-xml, man pages are
      no longer generated by scripts.
    - Bump python-pyinotify minimum version to 0.8.6-1.
    - Bump Standards-Version to 3.8.3, no changes required.
  * debian/copyright:
    - Update copyright informations.
  * debian/examples, debian/manpages:
    - Removed, no longer needed with new upstream version.
  * debian/doc-base:
    - Register doc-base informations.

 -- Luca Falavigna <dktrkranz@debian.org>  Wed, 02 Sep 2009 23:28:16 +0200

debomatic (0.6-3) unstable; urgency=low

  * Switch to debhelper 7.
  * Switch to python-support.
  * Install Debomatic module in a private directory.
  * Changes for upcoming Python 2.6:
    + debian/control:
      - Add python (>= 2.5.4-1~) to Build-Depends-Indep to enable use of
        /usr/share/python/python.mk macros.
      - Remove python-all-dev from Build-Depends-Indep.
    + debian/rules:
      - Include /usr/share/python/python.mk.
      - Pass $(py_setup_install_args) to setup.py to let distutils install
        modules in the correct directory.
  * Add ${misc:Depends} to debomatic dependencies.
  * Bump Standards-Version to 3.8.1, no changes required.

 -- Luca Falavigna <dktrkranz@ubuntu.com>  Fri, 01 May 2009 20:06:04 +0200

debomatic (0.6-2) unstable; urgency=low

  * Add Python Applications Packaging Team to Uploaders.
  * Add Vcs-* fields in source stanza.

 -- Luca Falavigna <dktrkranz@ubuntu.com>  Mon, 16 Feb 2009 21:46:52 +0100

debomatic (0.6-1) experimental; urgency=low

  * New upstream release.
  * Adjust copyright holders.
  * Remove all patches (implemented upstream), as well as quilt support.
  * Add DM-Upload-Allowed field.

 -- Luca Falavigna <dktrkranz@ubuntu.com>  Sun, 01 Feb 2009 15:38:35 +0100

debomatic (0.5-2) unstable; urgency=low

  * debian/patches/packagequeue_files:
    - Add files to packagequeue even if they are already available, so
      they can be removed when packages have been successfully built.
  * debian/patches/acceptedqueue:
    - Add acceptedqueue to allow packages waiting for a lock to be built
      if previously accepted.

 -- Luca Falavigna <dktrkranz@ubuntu.com>  Thu, 18 Sep 2008 13:48:45 +0200

debomatic (0.5-1) unstable; urgency=low

  * Initial release (Closes: #426231)

 -- Luca Falavigna <dktrkranz@ubuntu.com>  Wed, 25 Jun 2008 19:43:54 +0200

=== debian/control ===
Source: debomatic
Section: devel
Priority: extra
Maintainer: Luca Falavigna <dktrkranz@debian.org>
Uploaders: Python Applications Packaging Team <python-apps-team@lists.alioth.debian.org>
Build-Depends: debhelper (>= 7.2.18)
Build-Depends-Indep: python (>= 2.6.5-2~), python-docutils
X-Python-Version: >= 2.5
Standards-Version: 3.9.1
Homepage: https://launchpad.net/debomatic
Vcs-Svn: svn://svn.debian.org/python-apps/packages/debomatic/trunk/
Vcs-Browser: http://svn.debian.org/viewsvn/python-apps/packages/debomatic/trunk/

Package: debomatic
Architecture: all
Depends: ${python:Depends}, ${misc:Depends}, pbuilder | cowbuilder
Recommends: gnupg, lintian, python-pyinotify (>= 0.8.6-1), debian-archive-keyring, ubuntu-keyring
Description: automatic build machine for Debian source packages
 Deb-o-Matic is an easy to use build machine for Debian source packages
 based on pbuilder, written in Python.
 . 
 It provides a simple tool to automate build of source packages with limited
 user interaction and a simple configuration. It has some useful features such
 as automatic update of pbuilder, automatic scan and selection of source
 packages to build and modules support.
 .
 It is meant to help developers to build their packages without worrying too
 much of compilation, since it will run in background and no user feedback
 is required during the whole process.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with python2

clean:
	dh $@ --with python2
	rm -fr build locale
	dh_clean debian/init debian/default

override_dh_auto_install:
	dh_auto_install -- --install-scripts=/usr/share/debomatic --install-lib=/usr/share/debomatic
	find debian/debomatic -name "*.egg-info" -delete

override_dh_installinit:
	ln -s $(CURDIR)/etc/init.d/debomatic debian/init
	ln -s $(CURDIR)/etc/default/debomatic debian/default
	dh_installinit -- defaults 20

=== debian/watch ===
version=3
https://launchpad.net/debomatic/+download http://launchpad.net/debomatic/.*/debomatic-([0-9\.]*)\.tar\.gz

## debomatic 0.10

=== docs/Makefile ===
#!/usr/bin/make
# Copyright (C) 2012 Luca Falavigna
#
# Author: Luca Falavigna <dktrkranz@debian.org>
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; version 3 of the License.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301, USA.

SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean latex latexpdf

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"

clean:
	-rm -rf $(BUILDDIR)

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

=== debian/changelog ===
debomatic (0.10-2) unstable; urgency=low

  * debian/rules:
    - Delete docs/_build directory during clean phase (Closes: #671163).

 -- Luca Falavigna <dktrkranz@debian.org>  Sat, 26 May 2012 18:37:51 +0200

debomatic (0.10-1) unstable; urgency=low

  * New upstream release.
    - New documentation, which also explains module plugin needs GPG
      support enabled to work (Closes: #653455).
    - Fix init script to allow stop and restart methods (Closes: #653468).
    - Lintian options are now customizable (Closes: #655454).
  * debian/compat:
    - Bump compatibility level to 9.
  * debian/control:
    - Drop python-docutils from Build-Depends field.
    - Add python-sphinx, texlive-latex-base, texlive-latex-recommended,
      texlive-fonts-recommended, texlive-latex-extra and gettext to
      Build-Depends field.
    - Add python-daemon and python-lockfile to Depends field.
    - Replace gnupg with gpgv in Recommends field.
    - Bump X-Python-Version field to >= 2.6.
    - Bump Standards-Version to 3.9.3.
  * debian/copyright:
    - Convert to DEP5 format.
  * debian/doc-base:
    - Update for new documentation format.
  * debian/docs:
    - README is no longer shipped in release tarball.
  * debian/watch:
    - Update watch file.

 -- Luca Falavigna <dktrkranz@debian.org>  Sun, 01 Apr 2012 00:43:28 +0200

=== debian/control ===
--- 
+++ 
@@ -3,18 +3,20 @@
 Priority: extra
 Maintainer: Luca Falavigna <dktrkranz@debian.org>
 Uploaders: Python Applications Packaging Team <python-apps-team@lists.alioth.debian.org>
-Build-Depends: debhelper (>= 7.2.18)
-Build-Depends-Indep: python (>= 2.6.5-2~), python-docutils
-X-Python-Version: >= 2.5
-Standards-Version: 3.9.1
+Build-Depends: debhelper (>= 9), python (>= 2.6.6-3~), python-sphinx,
+ texlive-latex-base, texlive-latex-recommended, texlive-fonts-recommended,
+ texlive-latex-extra, gettext
+X-Python-Version: >= 2.6
+Standards-Version: 3.9.3
 Homepage: https://launchpad.net/debomatic
 Vcs-Svn: svn://svn.debian.org/python-apps/packages/debomatic/trunk/
 Vcs-Browser: http://svn.debian.org/viewsvn/python-apps/packages/debomatic/trunk/
 
 Package: debomatic
 Architecture: all
-Depends: ${python:Depends}, ${misc:Depends}, pbuilder | cowbuilder
-Recommends: gnupg, lintian, python-pyinotify (>= 0.8.6-1), debian-archive-keyring, ubuntu-keyring
+Depends: ${python:Depends}, ${misc:Depends}, pbuilder | cowbuilder,
+ debootstrap | cdebootstrap, python-daemon, python-lockfile
+Recommends: gpgv, lintian, python-pyinotify (>= 0.8.6-1), debian-archive-keyring, ubuntu-keyring
 Description: automatic build machine for Debian source packages
  Deb-o-Matic is an easy to use build machine for Debian source packages
  based on pbuilder, written in Python.

=== debian/rules ===
--- 
+++ 
@@ -5,7 +5,7 @@
 
 clean:
 	dh $@ --with python2
-	rm -fr build locale
+	rm -fr build locale docs/_build
 	dh_clean debian/init debian/default
 
 override_dh_auto_install:

## debomatic 0.11

=== docs/Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 #!/usr/bin/make
-# Copyright (C) 2012 Luca Falavigna
+# Copyright (C) 2012-2013 Luca Falavigna
 #
 # Author: Luca Falavigna <dktrkranz@debian.org>
 #

=== debian/changelog ===
debomatic (0.11-2) unstable; urgency=medium

  * debian/patches/setpgrp.patch:
    - Remove setpgrp call to fix endless loop in threads (Closes: #690311).
  * debian/control:
    - Suggest apt-utils and devscripts.
    - Bump Standards-Version to 3.9.5.

 -- Luca Falavigna <dktrkranz@debian.org>  Thu, 19 Dec 2013 21:33:35 +0100

debomatic (0.11-1) unstable; urgency=low

  * New upstream final release.
  * Upload to unstable.
  * debian/control:
    - Bump X-Python-Version to 2.7.
    - Suggests piuparts package.

 -- Luca Falavigna <dktrkranz@debian.org>  Wed, 05 Jun 2013 15:02:52 +0200

debomatic (0.11~r354-1) experimental; urgency=low

  * Upstream snapshot taken at revision 354.
    - Release lock if packagedir is not found (Closes: #690308).
    - No endless loop if setup_pbuilder fails (Closes: #690312).
    - Support for lintian log in the notification mail (Closes: #655452).
  * debian/control:
    - Use canonical VCS URIs.
    - Bump Standards-Version to 3.9.4.
  * debian/copyright:
    - Adjust copyright years.

 -- Luca Falavigna <dktrkranz@debian.org>  Sun, 17 Mar 2013 12:14:05 +0100

=== debian/control ===
Source: debomatic
Section: devel
Priority: extra
Maintainer: Luca Falavigna <dktrkranz@debian.org>
Uploaders: Python Applications Packaging Team <python-apps-team@lists.alioth.debian.org>
Build-Depends: debhelper (>= 9),
               python (>= 2.6.6-3~),
               python-sphinx,
               texlive-latex-base,
               texlive-latex-recommended,
               texlive-fonts-recommended,
               texlive-latex-extra,
               gettext
X-Python-Version: >= 2.7
Standards-Version: 3.9.5
Homepage: https://launchpad.net/debomatic
Vcs-Svn: svn://anonscm.debian.org/python-apps/packages/debomatic/trunk/
Vcs-Browser: http://anonscm.debian.org/viewvc/python-apps/packages/debomatic/trunk/

Package: debomatic
Architecture: all
Depends: ${python:Depends},
         ${misc:Depends},
         pbuilder | cowbuilder,
         debootstrap | cdebootstrap,
         python-daemon,
         python-lockfile
Recommends: gpgv,
            lintian,
            python-pyinotify (>= 0.8.6-1),
            debian-archive-keyring,
            ubuntu-keyring
Suggests: piuparts (>= 0.45),
          apt-utils,
          devscripts
Description: automatic build machine for Debian source packages
 Deb-o-Matic is an easy to use build machine for Debian source packages
 based on pbuilder, written in Python.
 . 
 It provides a simple tool to automate build of source packages with limited
 user interaction and a simple configuration. It has some useful features such
 as automatic update of pbuilder, automatic scan and selection of source
 packages to build and modules support.
 .
 It is meant to help developers to build their packages without worrying too
 much of compilation, since it will run in background and no user feedback
 is required during the whole process.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with python2

clean:
	dh $@ --with python2
	rm -fr build locale docs/_build
	dh_clean debian/init debian/default

override_dh_auto_install:
	dh_auto_install -- --install-scripts=/usr/share/debomatic \
		--install-lib=/usr/share/debomatic
	find debian/debomatic -name "*.egg-info" -delete

override_dh_installinit:
	ln -s $(CURDIR)/etc/init.d/debomatic debian/init
	ln -s $(CURDIR)/etc/default/debomatic debian/default
	dh_installinit -- defaults 20

override_dh_installchangelogs:
	dh_installchangelogs ChangeLog

=== debian/watch ===
version=3
https://launchpad.net/debomatic/+download .*/debomatic-([0-9\.]+).tar.gz

## debomatic 0.12

=== debian/changelog ===
debomatic (0.12-1~bpo70+1) wheezy-backports; urgency=low

  * Rebuild for wheezy-backports.
  * Adding myself to uploaders.
  * debian/rules:
    - Deactivated sphinxdoc. 

 -- Ulrike Uhlig <u@451f.org>  Sun, 08 Jun 2014 23:53:17 +0200

debomatic (0.12-1) unstable; urgency=medium

  * New upstream stable release.
  * Upload to unstable.
  * debian/control:
    - Add gnupg to Suggests field.

 -- Luca Falavigna <dktrkranz@debian.org>  Fri, 30 May 2014 08:51:27 +0200

debomatic (0.12~bzr405-1) experimental; urgency=medium

  * New upstream development release.
  * debian/patches/setpgrp.patch:
    - Removed, applied upstream.
  * debian/control:
    - Build-depends on python3 and python3-sphinx.
    - Build-depends on dh-python for Pybuild support.
    - Build-depends on dh-systemd for systemd support.
    - No longer depends on python-daemon and python-lockfile.
    - Recommends python3-pyinotify.
  * debian/copyright:
    - Adjust copyright years.
  * debian/NEWS:
    - Document changes introduced in this upstream version.
  * debian/rules:
    - Port to Pybuild.
    - Use python3 and sphinxdoc sequencers.
    - Support systemd service file.

 -- Luca Falavigna <dktrkranz@debian.org>  Fri, 23 May 2014 09:08:32 +0200

=== debian/control ===
--- 
+++ 
@@ -2,16 +2,18 @@
 Section: devel
 Priority: extra
 Maintainer: Luca Falavigna <dktrkranz@debian.org>
-Uploaders: Python Applications Packaging Team <python-apps-team@lists.alioth.debian.org>
+Uploaders: Python Applications Packaging Team <python-apps-team@lists.alioth.debian.org>, Ulrike Uhlig <u@451f.org>
 Build-Depends: debhelper (>= 9),
-               python (>= 2.6.6-3~),
-               python-sphinx,
+               python3 (>= 3.2~),
+               dh-python,
+               dh-systemd,
+               python3-sphinx,
                texlive-latex-base,
                texlive-latex-recommended,
                texlive-fonts-recommended,
                texlive-latex-extra,
                gettext
-X-Python-Version: >= 2.7
+X-Python3-Version: >= 3.2
 Standards-Version: 3.9.5
 Homepage: https://launchpad.net/debomatic
 Vcs-Svn: svn://anonscm.debian.org/python-apps/packages/debomatic/trunk/
@@ -19,20 +21,19 @@
 
 Package: debomatic
 Architecture: all
-Depends: ${python:Depends},
+Depends: ${python3:Depends},
          ${misc:Depends},
          pbuilder | cowbuilder,
-         debootstrap | cdebootstrap,
-         python-daemon,
-         python-lockfile
+         debootstrap | cdebootstrap
 Recommends: gpgv,
             lintian,
-            python-pyinotify (>= 0.8.6-1),
+            python3-pyinotify (>= 0.8.6-1),
             debian-archive-keyring,
             ubuntu-keyring
 Suggests: piuparts (>= 0.45),
           apt-utils,
-          devscripts
+          devscripts,
+          gnupg
 Description: automatic build machine for Debian source packages
  Deb-o-Matic is an easy to use build machine for Debian source packages
  based on pbuilder, written in Python.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=debomatic
export PYBUILD_INSTALL_ARGS_python3=--install-lib=/usr/share/debomatic \
					--install-scripts=/usr/share/debomatic

%:
	dh $@ --buildsystem=pybuild --with python3,systemd

override_dh_clean:
	dh_clean $@
	rm -fr build locale docs/_build
	dh_clean debian/init debian/default

override_dh_auto_install:
	dh_auto_install $@
	find $(CURDIR)/debian/debomatic -name "*.egg-info" -delete

override_dh_installinit:
	ln -s $(CURDIR)/etc/init.d/debomatic debian/init
	ln -s $(CURDIR)/etc/default/debomatic debian/default
	dh_installinit --no-start -- defaults 20

override_dh_installchangelogs:
	dh_installchangelogs ChangeLog

override_dh_systemd_enable:
	dh_systemd_enable --no-enable

## debomatic 0.13

=== docs/Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 #!/usr/bin/make
-# Copyright (C) 2012-2013 Luca Falavigna
+# Copyright (C) 2012-2014 Luca Falavigna
 #
 # Author: Luca Falavigna <dktrkranz@debian.org>
 #

=== debian/changelog ===
debomatic (0.13-1~bpo70+1) wheezy-backports; urgency=medium

  * Rebuild for wheezy-backports.
  * debian/control
    - Add myself to uploaders.
  * debian/rules
    - dh should not use sphinx-doc

 -- Ulrike Uhlig <u@451f.org>  Mon, 10 Nov 2014 20:19:19 +0100

debomatic (0.13-1) unstable; urgency=medium

  * New upstream release.
  * Upload to unstable.
  * debian/control:
    - Adjust Homepage field.
    - Bump Standards-Version to 3.9.6.

 -- Luca Falavigna <dktrkranz@debian.org>  Thu, 16 Oct 2014 22:46:51 +0200

debomatic (0.13~git20140911-1) experimental; urgency=medium

  * New upstream development snapshot.
  * debian/patches/sbin.patch:
    - Adjust init.d and service file to point to /usr/sbin/debomatic.
  * debian/control:
    - Add python3-toposort to Depends.
    - Adjust Homepage field.
  * debian/copyright:
    - Adjust Source field.
  * debian/links:
    - Install debomatic link under /usr/sbin.
  * debian/rules:
    - Allow to restart service on upgrades.
  * debian/watch:
    - Point to new GitHub release page.

 -- Luca Falavigna <dktrkranz@debian.org>  Thu, 11 Sep 2014 13:35:27 +0200

=== debian/control ===
--- 
+++ 
@@ -14,8 +14,8 @@
                texlive-latex-extra,
                gettext
 X-Python3-Version: >= 3.2
-Standards-Version: 3.9.5
-Homepage: https://launchpad.net/debomatic
+Standards-Version: 3.9.6
+Homepage: https://debomatic.github.io
 Vcs-Svn: svn://anonscm.debian.org/python-apps/packages/debomatic/trunk/
 Vcs-Browser: http://anonscm.debian.org/viewvc/python-apps/packages/debomatic/trunk/
 
@@ -24,7 +24,8 @@
 Depends: ${python3:Depends},
          ${misc:Depends},
          pbuilder | cowbuilder,
-         debootstrap | cdebootstrap
+         debootstrap | cdebootstrap,
+         python3-toposort
 Recommends: gpgv,
             lintian,
             python3-pyinotify (>= 0.8.6-1),
@@ -37,7 +38,7 @@
 Description: automatic build machine for Debian source packages
  Deb-o-Matic is an easy to use build machine for Debian source packages
  based on pbuilder, written in Python.
- . 
+ .
  It provides a simple tool to automate build of source packages with limited
  user interaction and a simple configuration. It has some useful features such
  as automatic update of pbuilder, automatic scan and selection of source

=== debian/rules ===
--- 
+++ 
@@ -19,10 +19,10 @@
 override_dh_installinit:
 	ln -s $(CURDIR)/etc/init.d/debomatic debian/init
 	ln -s $(CURDIR)/etc/default/debomatic debian/default
-	dh_installinit --no-start -- defaults 20
+	dh_installinit --no-start --restart-after-upgrade -- defaults 20
 
 override_dh_installchangelogs:
 	dh_installchangelogs ChangeLog
 
-override_dh_systemd_enable:
-	dh_systemd_enable --no-enable
+override_dh_systemd_start:
+	dh_systemd_start --restart-after-upgrade

## debomatic 0.20

=== debian/changelog ===
debomatic (0.20-1build1) wily; urgency=medium

  * No-change rebuild for python3.5 transition

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 22 Jul 2015 06:34:11 +0000

debomatic (0.20-1) unstable; urgency=medium

  * New upstream release.
  * Upload to unstable.
  * debian/copyright:
    - Exclude .gitignore files from being included in upstream tarball.

 -- Luca Falavigna <dktrkranz@debian.org>  Sun, 26 Apr 2015 11:40:19 +0200

debomatic (0.20~git20150307-1) experimental; urgency=medium

  * New upstream development snapshot.
    - sbuild backend.
    - Do not reference debomatic.conf(5) in man page (Closes: #779440).
  * debian/patches/sbin.patch:
    - Refresh for new upstream snapshot.
  * debian/control:
    - Depends on schroot and sbuild instead of pbuilder and cowbuilder.
    - Adjust Recommends and Suggests to match new modules.
    - Document sbuild and schroot in the package description.
  * debian/copyright:
    - Update copyright information.
  * debian/NEWS:
    - Document changes introduced in this upstream version.

 -- Luca Falavigna <dktrkranz@debian.org>  Thu, 12 Mar 2015 10:54:26 +0100

=== debian/control ===
Source: debomatic
Section: devel
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Luca Falavigna <dktrkranz@debian.org>
Uploaders: Python Applications Packaging Team <python-apps-team@lists.alioth.debian.org>
Build-Depends: debhelper (>= 9),
               python3 (>= 3.2~),
               dh-python,
               dh-systemd,
               python3-sphinx,
               texlive-latex-base,
               texlive-latex-recommended,
               texlive-fonts-recommended,
               texlive-latex-extra,
               gettext
X-Python3-Version: >= 3.2
Standards-Version: 3.9.6
Homepage: https://debomatic.github.io
Vcs-Svn: svn://anonscm.debian.org/python-apps/packages/debomatic/trunk/
Vcs-Browser: http://anonscm.debian.org/viewvc/python-apps/packages/debomatic/trunk/

Package: debomatic
Architecture: all
Depends: ${python3:Depends},
         ${misc:Depends},
         debootstrap | cdebootstrap | qemu-user-static,
         sbuild (>= 0.64.3-1),
         schroot,
         python3-toposort
Recommends: python3-pyinotify (>= 0.8.6-1),
            gpgv
Suggests: autopkgtest,
          blhc,
          devscripts,
          lintian,
          piuparts (>= 0.45),
          apt-utils,
          gnupg,
          debian-archive-keyring,
          ubuntu-keyring
Description: automatic build machine for Debian source packages
 Deb-o-Matic is an easy to use build machine for Debian source packages
 based on sbuild and schroot, written in Python.
 .
 It provides a simple tool to automate build of source packages with limited
 user interaction and a simple configuration. It has some useful features such
 as automatic update of chroots, automatic scan and selection of source
 packages to build and modules support.
 .
 It is meant to help developers to build their packages without worrying too
 much of compilation, since it will run in background and no user feedback
 is required during the whole process.

## debomatic 0.21

=== docs/Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 #!/usr/bin/make
-# Copyright (C) 2012-2014 Luca Falavigna
+# Copyright (C) 2012-2015 Luca Falavigna
 #
 # Author: Luca Falavigna <dktrkranz@debian.org>
 #

=== debian/changelog ===
debomatic (0.21-2) unstable; urgency=medium

  * debian/control:
    - Add texlive-generic-extra to Build-Depends, fix FTBFS.
      Thanks to Andrea Claudi for the suggestion! (Closes: #830419).
    - Bump Standards-Version to 3.9.8.
    - Use secure VCS URI's.

 -- Luca Falavigna <dktrkranz@debian.org>  Wed, 17 Aug 2016 19:46:27 +0200

debomatic (0.21-1) unstable; urgency=medium

  * New upstream release.
    - Update Portuguese translation, many thanks to Américo Monteiro
      and the Portuguese Translation Team! (Closes: #794508).
  * debian/patches/sbin.patch:
    - Refresh for new upstream release.

 -- Luca Falavigna <dktrkranz@debian.org>  Wed, 07 Oct 2015 21:19:42 +0200

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: debomatic
 Section: devel
 Priority: extra
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Luca Falavigna <dktrkranz@debian.org>
+Maintainer: Luca Falavigna <dktrkranz@debian.org>
 Uploaders: Python Applications Packaging Team <python-apps-team@lists.alioth.debian.org>
 Build-Depends: debhelper (>= 9),
                python3 (>= 3.2~),
@@ -13,12 +12,13 @@
                texlive-latex-recommended,
                texlive-fonts-recommended,
                texlive-latex-extra,
+               texlive-generic-extra,
                gettext
 X-Python3-Version: >= 3.2
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Homepage: https://debomatic.github.io
-Vcs-Svn: svn://anonscm.debian.org/python-apps/packages/debomatic/trunk/
-Vcs-Browser: http://anonscm.debian.org/viewvc/python-apps/packages/debomatic/trunk/
+Vcs-Svn: https://anonscm.debian.org/python-apps/packages/debomatic/trunk/
+Vcs-Browser: https://anonscm.debian.org/viewvc/python-apps/packages/debomatic/trunk/
 
 Package: debomatic
 Architecture: all

## debomatic 0.22

=== docs/Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 #!/usr/bin/make
-# Copyright (C) 2012-2015 Luca Falavigna
+# Copyright (C) 2012-2016 Luca Falavigna
 #
 # Author: Luca Falavigna <dktrkranz@debian.org>
 #

=== debian/changelog ===
debomatic (0.22-5) unstable; urgency=medium

  * debian/patches/stretch-backports.patch:
    - Add stretch-backports suite (Closes: #886413).
  * debian/control:
    - Add python3-systemd to Recommends, this way systemd unit will not
      fail after notify timeout (Closes: #884781).
    - Bump Standards-Version to 4.1.3.

 -- Luca Falavigna <dktrkranz@debian.org>  Wed, 10 Jan 2018 15:29:23 +0100

debomatic (0.22-4) unstable; urgency=medium

  * debian/control:
    - Build-depends on latexmk (Closes: #872157).
    - Change priority to optional to match current override file.
    - Bump Standards-Version to 4.1.0.

 -- Luca Falavigna <dktrkranz@debian.org>  Mon, 18 Sep 2017 20:09:08 +0200

debomatic (0.22-3) unstable; urgency=medium

  * debian/control:
    - Remove dh-systemd from Build-Depends, its components are merged
      into debhelper.
    - texlive-generic-extra is now replaced by texlive-plain-generic.
  * debian/tests/build:
    - Improve code to be more reliable.
  * debian/tests/command-rebuild:
    - Implement a DEP8 test which rebuilds a source package.
  * debian/tests/control:
    - Add fakeroot to Depends list.

 -- Luca Falavigna <dktrkranz@debian.org>  Sun, 02 Jul 2017 10:45:48 +0200

debomatic (0.22-2r1) unstable; urgency=medium

  * debian/control:
    - Suggests ubuntu-archive-keyring package as alternative of
      ubuntu-keyring, the latter exists only in Ubuntu.
      Thanks to Axel Beckert for the report (Closes: #857145).
    - Bump Standards-Version to 4.0.0.
  * debian/tests/build:
    - Add a DEP8 test which builds a source package.

 -- Luca Falavigna <dktrkranz@debian.org>  Sat, 24 Jun 2017 14:32:24 +0200

debomatic (0.22-1) unstable; urgency=medium

  * New upstream release.
  * debian/compat:
    - Use compatibility mode 10.
  * debian/control:
    - Bump debhelper minimum version to >= 10.
    - Add dependency on lsb-base (>= 3.0-6) because of the init script.
    - Adjust versioned dependencies to adopt newly introduced features.
  * debian/copyright:
    - Update copyright information.

 -- Luca Falavigna <dktrkranz@debian.org>  Tue, 08 Nov 2016 16:48:30 +0100

=== debian/control ===
--- 
+++ 
@@ -1,23 +1,22 @@
 Source: debomatic
 Section: devel
-Priority: extra
+Priority: optional
 Maintainer: Luca Falavigna <dktrkranz@debian.org>
 Uploaders: Python Applications Packaging Team <python-apps-team@lists.alioth.debian.org>
-Build-Depends: debhelper (>= 9),
+Build-Depends: debhelper (>= 10),
                python3 (>= 3.2~),
                dh-python,
-               dh-systemd,
                python3-sphinx,
+               latexmk,
                texlive-latex-base,
                texlive-latex-recommended,
                texlive-fonts-recommended,
                texlive-latex-extra,
-               texlive-generic-extra,
-               gettext
+               texlive-plain-generic
 X-Python3-Version: >= 3.2
-Standards-Version: 3.9.8
+Standards-Version: 4.1.3
 Homepage: https://debomatic.github.io
-Vcs-Svn: https://anonscm.debian.org/python-apps/packages/debomatic/trunk/
+Vcs-Svn: svn://anonscm.debian.org/python-apps/packages/debomatic/trunk/
 Vcs-Browser: https://anonscm.debian.org/viewvc/python-apps/packages/debomatic/trunk/
 
 Package: debomatic
@@ -25,12 +24,14 @@
 Depends: ${python3:Depends},
          ${misc:Depends},
          debootstrap | cdebootstrap | qemu-user-static,
-         sbuild (>= 0.64.3-1),
-         schroot,
-         python3-toposort
+         sbuild (>= 0.67.0),
+         schroot (>= 1.6.10-2),
+         python3-toposort,
+         lsb-base (>= 3.0-6)
 Recommends: python3-pyinotify (>= 0.8.6-1),
-            gpgv
-Suggests: autopkgtest,
+            gpgv,
+            python3-systemd
+Suggests: autopkgtest (>= 4.0),
           blhc,
           devscripts,
           lintian,
@@ -38,7 +39,7 @@
           apt-utils,
           gnupg,
           debian-archive-keyring,
-          ubuntu-keyring
+          ubuntu-archive-keyring | ubuntu-keyring
 Description: automatic build machine for Debian source packages
  Deb-o-Matic is an easy to use build machine for Debian source packages
  based on sbuild and schroot, written in Python.

=== debian/rules ===
--- 
+++ 
@@ -5,7 +5,7 @@
 					--install-scripts=/usr/share/debomatic
 
 %:
-	dh $@ --buildsystem=pybuild --with python3,systemd
+	dh $@ --buildsystem=pybuild --with python3,systemd,sphinxdoc
 
 override_dh_clean:
 	dh_clean $@

=== debian/tests/control ===
Tests: build
Depends: debomatic,
         debhelper,
         devscripts,
         fakeroot,
         wget,
         liburi-perl,
         ca-certificates,
         debian-archive-keyring,
         dput-ng
Restrictions: needs-root, allow-stderr

Tests: command-rebuild
Depends: debomatic,
         devscripts,
         wget,
         liburi-perl,
         ca-certificates,
Restrictions: needs-root, allow-stderr

## debomatic 0.23+git20180514

=== debian/changelog ===
debomatic (0.23+git20180514-1) unstable; urgency=medium

  [ Luca Falavigna ]
  * New upstream snapshot.
    - Revert changes made by no-network after build (Closes: #886412).
  * debian/tests/command-porter:
    - Implement a DEP8 test which performs a porter rebuild for a
      source package.
  * debian/tests/command-binnmu:
    - Implement a DEP8 test which performs a bin-NMU rebuild for a
      source package.
  * debian/tests/command-builddep:
    - Implement a DEP8 test which performs a builddep rebuild for a
      source package.

  [ Ondřej Nový ]
  * debian/control:
    - Remove ancient X-Python3-Version field.

 -- Luca Falavigna <dktrkranz@debian.org>  Sun, 27 May 2018 11:00:22 +0200

debomatic (0.23-1) unstable; urgency=medium

  [ Luca Falavigna ]
  * New upstream release.
    - Improved handling of local repository (Closes: #888287).
  * debian/patches/stretch-backports.patch:
    - Removed, merged upstream.
  * debian/compat:
    - Bump compat level to 11.
  * debian/control:
    - Build-depends on debhelper (>= 11).
    - Compliant with Debian Policy 4.1.4.
  * debian/copyright:
    - Update copyright years.
  * debian/rules:
    - Remove systemd sequence, not provided in compat >= 11.
    - Replace dh_systemd_start with dh_installsystemd.

  [ Ondřej Nový ]
  * debian/copyright:
    - Use https protocol in Format field.
  * debian/tests:
    - Use AUTOPKGTEST_TMP instead of ADTTMP.

 -- Luca Falavigna <dktrkranz@debian.org>  Tue, 01 May 2018 23:25:20 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Luca Falavigna <dktrkranz@debian.org>
 Uploaders: Python Applications Packaging Team <python-apps-team@lists.alioth.debian.org>
-Build-Depends: debhelper (>= 10),
+Build-Depends: debhelper (>= 11),
                python3 (>= 3.2~),
                dh-python,
                python3-sphinx,
@@ -13,11 +13,10 @@
                texlive-fonts-recommended,
                texlive-latex-extra,
                texlive-plain-generic
-X-Python3-Version: >= 3.2
-Standards-Version: 4.1.3
+Standards-Version: 4.1.4
 Homepage: https://debomatic.github.io
-Vcs-Svn: svn://anonscm.debian.org/python-apps/packages/debomatic/trunk/
-Vcs-Browser: https://anonscm.debian.org/viewvc/python-apps/packages/debomatic/trunk/
+Vcs-Git: https://salsa.debian.org/python-team/applications/debomatic.git
+Vcs-Browser: https://salsa.debian.org/python-team/applications/debomatic
 
 Package: debomatic
 Architecture: all

## debomatic 0.24

=== docs/Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 #!/usr/bin/make
-# Copyright (C) 2012-2016 Luca Falavigna
+# Copyright (C) 2012-2018 Luca Falavigna
 #
 # Author: Luca Falavigna <dktrkranz@debian.org>
 #

=== debian/changelog ===
debomatic (0.24-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches/sbin.patch:
    - Refresh for new upstream release.
  * debian/control:
    - Compliant with Debian Policy 4.2.1.

 -- Luca Falavigna <dktrkranz@debian.org>  Sun, 04 Nov 2018 16:00:55 +0100

=== debian/control ===
--- 
+++ 
@@ -13,7 +13,7 @@
                texlive-fonts-recommended,
                texlive-latex-extra,
                texlive-plain-generic
-Standards-Version: 4.1.4
+Standards-Version: 4.2.1
 Homepage: https://debomatic.github.io
 Vcs-Git: https://salsa.debian.org/python-team/applications/debomatic.git
 Vcs-Browser: https://salsa.debian.org/python-team/applications/debomatic

=== debian/rules ===
--- 
+++ 
@@ -5,7 +5,7 @@
 					--install-scripts=/usr/share/debomatic
 
 %:
-	dh $@ --buildsystem=pybuild --with python3,systemd,sphinxdoc
+	dh $@ --buildsystem=pybuild --with python3,sphinxdoc
 
 override_dh_clean:
 	dh_clean $@
@@ -24,5 +24,5 @@
 override_dh_installchangelogs:
 	dh_installchangelogs ChangeLog
 
-override_dh_systemd_start:
-	dh_systemd_start --restart-after-upgrade
+override_dh_installsystemd:
+	dh_installsystemd --restart-after-upgrade

=== debian/watch ===
version=3
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/debomatic-$1\.tar\.gz/ \
  https://github.com/debomatic/debomatic/tags .*/v?(\d\S*)\.tar\.gz

## debomatic 0.25

=== docs/Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 #!/usr/bin/make
-# Copyright (C) 2012-2018 Luca Falavigna
+# Copyright (C) 2012-2021 Luca Falavigna
 #
 # Author: Luca Falavigna <dktrkranz@debian.org>
 #

=== debian/changelog ===
debomatic (0.25-2) unstable; urgency=medium

  * debian/tests/control:
    - Mark crossbuild test as flaky: crossbuild toolchain sometimes can
      not be installed on some architectures, leading to intermittent
      failures which can be solved only by unrelated packages.

 -- Luca Falavigna <dktrkranz@debian.org>  Wed, 27 Jan 2021 08:56:39 +0100

debomatic (0.25-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches/pt_po.patch:
    - Dropped, merged upstream.
  * debian/tests/build:
    - Remove chroots after test is finished.
  * debian/tests/command-{binnmu,builddep,porter,rebuild}:
    - Don't hardcode amd64 when removing chroots.
  * debian/tests/crossbuild:
    - Add test for package cross-build.

 -- Luca Falavigna <dktrkranz@debian.org>  Tue, 26 Jan 2021 18:08:41 +0100

debomatic (0.24-3) unstable; urgency=medium

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Debian Janitor ]
  * Set upstream metadata fields: Repository, Repository-Browse.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository.

  [ Luca Falavigna ]
  * debian/control:
    - Move to Debian Python Team as Uploader.
    - Compliant with Debian Policy 4.5.1.
    - Bump compat level to 13.
    - Package does not require root privs to build.
    - Add ${sphinxdoc:Depends} to Depends.
  * debian/source/lintian-overrides:
    - Ignore repackaged-source-not-advertised.
  * debian/watch:
    - Use uscan version 4.

 -- Luca Falavigna <dktrkranz@debian.org>  Fri, 01 Jan 2021 15:48:14 +0100

debomatic (0.24-2) unstable; urgency=medium

  [ Américo Monteiro ]
  * debian/patches/pt_po.patch:
    - Update Portuguese translation (Closes: #925491).

  [ Luca Falavigna ]
  * debian/compat:
    - Bump compat level to 12.
  * debian/control:
    - Build-depend on debhelper (>= 12).
    - Compliant with Debian Policy 4.4.0.
  * debian/copyright:
    - Update copyright information.
  * debian/rules:
    - Remove useless overrides, already managed in recent
      debhelper compatibility levels.

 -- Luca Falavigna <dktrkranz@debian.org>  Tue, 09 Jul 2019 21:45:09 +0200

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: devel
 Priority: optional
 Maintainer: Luca Falavigna <dktrkranz@debian.org>
-Uploaders: Python Applications Packaging Team <python-apps-team@lists.alioth.debian.org>
-Build-Depends: debhelper (>= 11),
+Uploaders: Debian Python Team <team+python@tracker.debian.org>
+Build-Depends: debhelper-compat (= 13),
                python3 (>= 3.2~),
                dh-python,
                python3-sphinx,
@@ -13,15 +13,17 @@
                texlive-fonts-recommended,
                texlive-latex-extra,
                texlive-plain-generic
-Standards-Version: 4.2.1
+Standards-Version: 4.5.1
+Rules-Requires-Root: no
 Homepage: https://debomatic.github.io
-Vcs-Git: https://salsa.debian.org/python-team/applications/debomatic.git
-Vcs-Browser: https://salsa.debian.org/python-team/applications/debomatic
+Vcs-Git: https://salsa.debian.org/python-team/packages/debomatic.git
+Vcs-Browser: https://salsa.debian.org/python-team/packages/debomatic
 
 Package: debomatic
 Architecture: all
 Depends: ${python3:Depends},
          ${misc:Depends},
+         ${sphinxdoc:Depends},
          debootstrap | cdebootstrap | qemu-user-static,
          sbuild (>= 0.67.0),
          schroot (>= 1.6.10-2),

=== debian/rules ===
--- 
+++ 
@@ -19,10 +19,7 @@
 override_dh_installinit:
 	ln -s $(CURDIR)/etc/init.d/debomatic debian/init
 	ln -s $(CURDIR)/etc/default/debomatic debian/default
-	dh_installinit --no-start --restart-after-upgrade -- defaults 20
+	dh_installinit --no-start -- defaults 20
 
 override_dh_installchangelogs:
 	dh_installchangelogs ChangeLog
-
-override_dh_installsystemd:
-	dh_installsystemd --restart-after-upgrade
